Subject: bug#37883: 27.0.50; read-file-name: Scrambled INITIAL

From: Michael Heerdegen <[email-masked]>
Date: Wed, 23 Oct 2019 17:16:36 +0200

Andreas Schwab <[email-masked]> writes:

> (The manual also discourages the use of INITIAL.)

BTW, what the manual says: "*Please note:* we recommend using DEFAULT
rather than INITIAL in most cases." - maybe that could be a bit more
precise?  Which cases - what's problematic with using INITIAL in these
cases?  Why doesn't the docstring say that INITIAL is not recommended?
Should developers better use alternatives (I guess one could use
`minibuffer-setup-hook' to insert a default), or is any initial
minibuffer content considered "bad"?

Michael.